## org.eclipse.emf.ecoretools.diagram.part
Class EcoreMatchingStrategy

    java.lang.Object
      org.eclipse.emf.ecoretools.diagram.part.EcoreMatchingStrategy

All Implemented Interfaces:
  org.eclipse.ui.IEditorMatchingStrategy

    public class EcoreMatchingStrategy

extends java.lang.Object
implements org.eclipse.ui.IEditorMatchingStrategy

Constructor Summary
`EcoreMatchingStrategy()`

Method Summary
`boolean` `matches(org.eclipse.ui.IEditorReference editorRef, org.eclipse.ui.IEditorInput input)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EcoreMatchingStrategy

    public EcoreMatchingStrategy()

Method Detail

### matches

    public boolean matches(org.eclipse.ui.IEditorReference editorRef,
                           org.eclipse.ui.IEditorInput input)

  Specified by:
    `matches` in interface `org.eclipse.ui.IEditorMatchingStrategy`

Copyright 2007 Anyware Technologies. All Rights Reserved.